#version 430 core

layout(points) in;
layout(triangle_strip, max_vertices = 4) out;

out vec2 textCoord;

void main(void) {
	vec4 position = gl_in[0].gl_Position;

	gl_Position = position + vec4(-1, -1, 0, 0);
	textCoord = vec2(0, 0);
	EmitVertex();
	
	gl_Position = position + vec4(1, -1, 0, 0);
	textCoord = vec2(1, 0);
	EmitVertex();
	
	gl_Position = position + vec4(-1, 1, 0, 0);
	textCoord = vec2(0, 1);
	EmitVertex();
	
	gl_Position = position + vec4(1, 1, 0, 0);
	textCoord = vec2(1, 1);
	EmitVertex();
	
	EndPrimitive();

}