#version 430 core
layout (location = 0) in vec3 Position;

uniform mat3 view;
uniform mat4 proj;

out vec3 TexCoord0;

void main()
{
	vec3 P = view * Position;
    vec4 WVP_Pos = proj * vec4(P, 1.0);
    gl_Position = WVP_Pos.xyww;
    TexCoord0 = Position;
}